# arm_biquad_cascade_df2T_instance_f32 Struct Reference

| CMSIS-DSP Verison 1.1.0 CMSIS DSP Software Library

- CMSIS
- CORE
- DSP
- RTOS API
- SVD

- Main Page
- Reference

- Data Structures
- Data Fields

Data Fields
arm_biquad_cascade_df2T_instance_f32 Struct Reference

Instance structure for the floating-point transposed direct form II Biquad cascade filter.

## Data Fields

uint8_t | numStages
float32_t * | pState
float32_t * | pCoeffs

## Field Documentation

uint8_t arm_biquad_cascade_df2T_instance_f32::numStages

number of 2nd order stages in the filter. Overall order is 2*numStages.

Referenced by arm_biquad_cascade_df2T_f32(), and arm_biquad_cascade_df2T_init_f32().

float32_t* arm_biquad_cascade_df2T_instance_f32::pCoeffs

points to the array of coefficients. The array is of length 5*numStages.

Referenced by arm_biquad_cascade_df2T_f32(), and arm_biquad_cascade_df2T_init_f32().

float32_t* arm_biquad_cascade_df2T_instance_f32::pState

points to the array of state coefficients. The array is of length 2*numStages.

Referenced by arm_biquad_cascade_df2T_f32(), and arm_biquad_cascade_df2T_init_f32().